Aller au contenu

AutoCAD 2006


1 946 sujets dans ce forum

  1. Les nouveautés AutoCAD 2006 par CADxp

    • 24 réponses
    • 27,8 k vues
  2. fichier DWG vers POWERPOINT

    • 8 réponses
    • 6,5 k vues
  3. aplanir coordonnées Z

    • 8 réponses
    • 36,3 k vues
    • 23 réponses
    • 22,1 k vues
    • 13 réponses
    • 209,3 k vues
    • 1 réponse
    • 6,1 k vues
  4. message OBJET AEC !!!!!!

    • 18 réponses
    • 16,8 k vues
    • 10 réponses
    • 7,9 k vues
  5. tuto Jeu de feuilles

    • 15 réponses
    • 9,6 k vues
    • 12 réponses
    • 7,9 k vues
  6. Renommer présentation

    • 13 réponses
    • 11,1 k vues
  7. Renommer présentation

    • 2 réponses
    • 4,5 k vues
  8. lisp surface

    • 7 réponses
    • 12 k vues
  9. Continuer une polyligne

    • 22 réponses
    • 19 k vues
    • 21 réponses
    • 18,6 k vues
    • 5 réponses
    • 8,9 k vues
  10. manche à air

    • 5 réponses
    • 7,2 k vues
  11. Propdess

    • 18 réponses
    • 11,9 k vues
    • 8 réponses
    • 33,1 k vues
  12. Autocad récalcitrant

    • 5 réponses
    • 6,8 k vues
    • 17 réponses
    • 18,7 k vues
  13. Entrée interdite... 1 2

    • 26 réponses
    • 13,5 k vues
    • 5 réponses
    • 8,4 k vues
  14. Biblio tuyauterie 2D/3D

    • 17 réponses
    • 50,6 k vues
  15. Engins de Chantier

    • 16 réponses
    • 28,1 k vues


  • Statistiques des forums

    • Total des sujets
      47,2 k
    • Total des messages
      285,9 k
  • Sujets

  • Messages

    • Alors, Le fichier de gabarit c'est toi qui le créer justement en faisant une extraction de donnée. Donc la première fois, tu n'auras pas de fichier .dxe donc tu fais juste "Créer un fichier" et tu places ton nouveau fichier .dxe à un emplacement défini avec un nom défini. Les fois d'après, il te suffira de sélectionner ce fichier pour réaliser tes extractions de données Excel concernant les hachures 🙂 Ensuite, tu sélectionnes tes objets (je te suggère d'isoler tes objets HACHURE pour éviter de sélectionner autre chose, ou d'utiliser la commande 'FILTRE, avec l'apostrophe pour l'appeler en transparence) puis tu fais Suivant. Ensuite tu choisis le type d'objets que tu veux (donc si jamais tu n'as pas filtrer ta sélection, tu peux le faire à ce moment là) et ensuite tu définis les propriétés que tu désires. Donc pour toi, c'est le calque et la surface. Enfin, tu choisis le format de ton tableau, si tu veux grouper les objets identiques, etc... puis tu choisis d'extraire dans un fichier externe... Bref, utilise l'aide AutoCAD concernant cet outils !! Bisous, Luna
    • Bonjour @passi54 NON, pour l'extraction de données, c'est une commande qui demande les qualités des entités qu'on souhaite enregistrer. Il n'y a pas de gabarit, on répond à des questions posées via une case de dialogue. Je plussoie @Luna de favoriser les commandes natives quand c'est possible. Toutefois, cette demande de listing étant récurrente, je propose cette solution en lisp. Le nom de la commande à lancer en ligne de commande une fois le lisp chargé est "passi54" Il est possible de l'améliorer, mais a minima, il répond à la demande formulée. Amicalement (defun c:passi54 ( / aire calque ent fich lis n nom ss) (setq ss (ssget (list (cons 0 "HATCH")))) (setq lis nil) (repeat (setq n (sslength ss)) (setq ent (vlax-ename->vla-object(ssname ss (setq n (1- n))))) (setq aire (vlax-get-property ent 'area)) (setq calque (vlax-get-property ent 'layer)) (setq lis (cons (strcat calque ";" (rtos aire 2 2)) lis)) ) (setq Nom (strcat (getvar "dwgprefix") (getvar "dwgname"))) (setq Nom (substr Nom 1 (- (strlen Nom) 4))) (setq Nom (strcat Nom ".csv")) (setq fich (open Nom "w")) (write-line "Calque;Superficie" fich) (foreach x lis (write-line x fich) ) (close fich) (alert (strcat "Le fichier : " nom " a été créé et contient " (itoa (sslength ss)) " enregistrements." ) ) )  
    • Luna je ne connais pas l'extraction de données, j'ai vu qu'il fallait un fichier gabarit mais comment le créer ? 😋
    • Je maintiens mon idée concernant l'extraction de données honnêtement... Il est évidemment possible de faire cela par programmation, mais bon...Autant chercher l'existant et si chat n'existe pas, alors on passe par de la programmation >n< Bisous, Luna
    • Bonjour,   De mon côté, la fonction "listing d'étiquettes" de Covadis semble ne pas fonctionnait : aucun fichier qui ne s'ouvre ou s'enregistre à côté du fichier de base .... j'ai bien pourtant dans mon plan plusieurs entités COVADIS:Etiquettes Ensuite, je vais chercher la fonction pour importer cette liste et créer un calque par éléments, si ca existe par ici 🙂 Par avance merci  
  • Sujets

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité